using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RozenbergBrovki
{
    public partial class Запись : Form
    {
        public Запись()
        {
            InitializeComponent();
        }

        private void serviceBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.serviceBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.rozenbergBrDataSet);

        }

        private void Запись_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "rozenbergBrDataSet.Service". При необходимости она может быть перемещена или удалена.
            this.serviceTableAdapter.Fill(this.rozenbergBrDataSet.Service);

        }

        private void Расчитать_Click(object sender, EventArgs e)
        {
            Итог.Text = Convert.ToString(Convert.ToDouble(Цена.Text) - ((Convert.ToDouble(Цена.Text) * Convert.ToDouble(Скидка.Text) / 100)));
        }

        private void Следующая_Click(object sender, EventArgs e)
        {
            serviceBindingSource.MoveNext();
        }

        private void Предыдущая_Click(object sender, EventArgs e)
        {
            serviceBindingSource.MovePrevious();
        }
    }
}
